/*
 Navicat Premium Data Transfer

 Source Server         : 47.96.236.169
 Source Server Type    : MySQL
 Source Server Version : 80028
 Source Host           : 47.96.236.169:33306
 Source Schema         : iot_job

 Target Server Type    : MySQL
 Target Server Version : 80028
 File Encoding         : 65001

 Date: 28/11/2022 19:52:07
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for hs_api_job
-- ----------------------------
DROP TABLE IF EXISTS `hs_api_job`;
CREATE TABLE `hs_api_job`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务标识',
  `api_id` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'api标识',
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 29 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci COMMENT = 'Api调度任务';

-- ----------------------------
-- Records of hs_api_job
-- ----------------------------
BEGIN;
INSERT INTO `hs_api_job` (`id`, `job_id`, `api_id`, `update_time`) VALUES (1, 2, 'j0BpIQhp', '2022-09-23 12:32:13'), (2, 3, '9xFhax2y', '2022-09-24 08:05:07'), (3, 4, 'UDzGSkeZ', '2022-09-24 09:24:21'), (4, 5, 'CQ9VkAr9', '2022-09-24 09:49:48'), (5, 6, 'bw6ULlLe', '2022-09-24 23:20:41'), (6, 7, 'N8sgjOWD', '2022-09-25 22:26:44'), (7, 8, 'tCoVivD8', '2022-09-26 13:38:16'), (8, 9, 'O3KlnSsU', '2022-09-26 14:05:34'), (9, 10, 'EnFpExkx', '2022-09-27 23:30:01'), (10, 11, 'K4QZT40A', '2022-09-28 14:49:53'), (11, 12, '3qxDmpBG', '2022-09-29 14:32:10'), (12, 13, 'xfXpHIg0', '2022-09-29 15:11:37'), (13, 14, 'hGLKRYiu', '2022-10-09 23:36:54'), (14, 15, 'kU15HMrE', '2022-10-10 11:38:43'), (15, 16, '5SeUCRJy', '2022-10-10 12:27:08'), (16, 17, 'wFz52Yb1', '2022-10-10 12:30:16'), (17, 18, 'B1ANmtET', '2022-10-16 00:45:28'), (18, 19, '7TVjkWPy', '2022-11-02 16:48:27'), (19, 20, 'IHQJLVtr', '2022-11-03 17:42:59'), (20, 21, 'HYORZYyI', '2022-11-03 17:43:35'), (21, 22, 'VyCtYO0f', '2022-11-03 18:39:46'), (22, 23, 'EeBkndxU', '2022-11-12 13:35:21'), (23, 24, 'FNMVwfcu', '2022-11-12 13:36:01'), (24, 25, 'RSuNGzhs', '2022-11-12 13:36:37'), (25, 26, 'cD4sCi7I', '2022-11-15 13:25:47'), (26, 27, '0qLjHowN', '2022-11-15 13:55:43'), (27, 28, 'v7p2AAqp', '2022-11-15 14:26:00'), (28, 29, 'pjYii91f', '2022-11-16 02:05:50');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_group
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_group`;
CREATE TABLE `xxl_job_group`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `app_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '执行器AppName',
  `title` varchar(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '执行器名称',
  `address_type` tinyint NOT NULL DEFAULT 0 COMMENT '执行器地址类型：0=自动注册、1=手动录入',
  `address_list` text CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT '执行器地址列表，多地址逗号分隔',
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of xxl_job_group
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_group` (`id`, `app_name`, `title`, `address_type`, `address_list`, `update_time`) VALUES (1, 'xxl-job-executor-sample', '示例执行器', 0, NULL, '2022-11-28 19:51:54'), (4, 'dbapi-job-executor', 'dbapi', 0, 'http://10.227.8.243:8888/', '2022-11-28 19:51:54');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_info
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_info`;
CREATE TABLE `xxl_job_info`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_group` int NOT NULL COMMENT '执行器主键ID',
  `job_desc` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `add_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  `author` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '作者',
  `alarm_email` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '报警邮件',
  `schedule_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'NONE' COMMENT '调度类型',
  `schedule_conf` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '调度配置，值含义取决于调度类型',
  `misfire_strategy` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL DEFAULT 'DO_NOTHING' COMMENT '调度过期策略',
  `executor_route_strategy` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行器路由策略',
  `executor_handler` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行器任务handler',
  `executor_param` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '执行器任务参数',
  `executor_block_strategy` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '阻塞处理策略',
  `executor_timeout` int NOT NULL DEFAULT 0 COMMENT '任务执行超时时间，单位秒',
  `executor_fail_retry_count` int NOT NULL DEFAULT 0 COMMENT '失败重试次数',
  `glue_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'GLUE备注',
  `glue_updatetime` datetime NULL DEFAULT NULL COMMENT 'GLUE更新时间',
  `child_jobid` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '子任务ID，多个逗号分隔',
  `trigger_status` tinyint NOT NULL DEFAULT 0 COMMENT '调度状态：0-停止，1-运行',
  `trigger_last_time` bigint NOT NULL DEFAULT 0 COMMENT '上次调度时间',
  `trigger_next_time` bigint NOT NULL DEFAULT 0 COMMENT '下次调度时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci;


-- ----------------------------
-- Table structure for xxl_job_lock
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_lock`;
CREATE TABLE `xxl_job_lock`  (
  `lock_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '锁名称',
  PRIMARY KEY (`lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of xxl_job_lock
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_lock` (`lock_name`) VALUES ('schedule_lock');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_log_report
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_log_report`;
CREATE TABLE `xxl_job_log_report`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `trigger_day` datetime NULL DEFAULT NULL COMMENT '调度-时间',
  `running_count` int NOT NULL DEFAULT 0 COMMENT '运行中-日志数量',
  `suc_count` int NOT NULL DEFAULT 0 COMMENT '执行成功-日志数量',
  `fail_count` int NOT NULL DEFAULT 0 COMMENT '执行失败-日志数量',
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `i_trigger_day`(`trigger_day` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 72 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of xxl_job_log_report
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_log_report` (`id`, `trigger_day`, `running_count`, `suc_count`, `fail_count`, `update_time`) VALUES (1, '2022-09-21 00:00:00', 0, 0, 0, NULL), (2, '2022-09-20 00:00:00', 0, 0, 0, NULL), (3, '2022-09-19 00:00:00', 0, 0, 0, NULL), (4, '2022-09-22 00:00:00', 0, 0, 0, NULL), (5, '2022-09-23 00:00:00', 0, 0, 0, NULL), (6, '2022-09-24 00:00:00', 0, 7071, 7, NULL), (7, '2022-09-25 00:00:00', 0, 8897, 28, NULL), (8, '2022-09-26 00:00:00', 0, 14564, 0, NULL), (9, '2022-09-27 00:00:00', 0, 26208, 0, NULL), (10, '2022-09-28 00:00:00', 0, 26208, 0, NULL), (11, '2022-09-29 00:00:00', 0, 29611, 0, NULL), (12, '2022-09-30 00:00:00', 0, 34848, 0, NULL), (13, '2022-10-01 00:00:00', 0, 34848, 0, NULL), (14, '2022-10-02 00:00:00', 0, 34848, 0, NULL), (15, '2022-10-03 00:00:00', 0, 34848, 0, NULL), (16, '2022-10-04 00:00:00', 0, 34848, 0, NULL), (17, '2022-10-05 00:00:00', 0, 34848, 0, NULL), (18, '2022-10-06 00:00:00', 0, 34848, 0, NULL), (19, '2022-10-07 00:00:00', 0, 34848, 0, NULL), (20, '2022-10-08 00:00:00', 0, 34848, 0, NULL), (21, '2022-10-09 00:00:00', 0, 22853, 11997, NULL), (22, '2022-10-10 00:00:00', 0, 24517, 10331, NULL), (23, '2022-10-11 00:00:00', 0, 34848, 0, NULL), (24, '2022-10-12 00:00:00', 0, 34848, 0, NULL), (25, '2022-10-13 00:00:00', 0, 34848, 0, NULL), (26, '2022-10-14 00:00:00', 0, 34848, 0, NULL), (27, '2022-10-15 00:00:00', 0, 34848, 0, NULL), (28, '2022-10-16 00:00:00', 0, 39029, 0, NULL), (29, '2022-10-17 00:00:00', 0, 39168, 0, NULL), (30, '2022-10-18 00:00:00', 0, 39168, 0, NULL), (31, '2022-10-19 00:00:00', 0, 39168, 0, NULL), (32, '2022-10-20 00:00:00', 0, 38117, 0, NULL), (33, '2022-10-21 00:00:00', 0, 30240, 0, NULL), (34, '2022-10-22 00:00:00', 0, 30240, 0, NULL), (35, '2022-10-23 00:00:00', 0, 30240, 0, NULL), (36, '2022-10-24 00:00:00', 0, 30240, 0, NULL), (37, '2022-10-25 00:00:00', 0, 30240, 0, NULL), (38, '2022-10-26 00:00:00', 1253, 28987, 0, NULL), (39, '2022-10-27 00:00:00', 8640, 21600, 0, NULL), (40, '2022-10-28 00:00:00', 8640, 21600, 0, NULL), (41, '2022-10-29 00:00:00', 8640, 21600, 0, NULL), (42, '2022-10-30 00:00:00', 8640, 21600, 0, NULL), (43, '2022-10-31 00:00:00', 0, 21600, 0, NULL), (44, '2022-11-01 00:00:00', 0, 21600, 0, NULL), (45, '2022-11-02 00:00:00', 0, 22447, 0, NULL), (46, '2022-11-03 00:00:00', 0, 24480, 0, NULL), (47, '2022-11-04 00:00:00', 0, 24480, 0, NULL), (48, '2022-11-05 00:00:00', 0, 24480, 0, NULL), (49, '2022-11-06 00:00:00', 0, 24480, 0, NULL), (50, '2022-11-07 00:00:00', 3, 24450, 27, NULL), (51, '2022-11-08 00:00:00', 0, 24480, 0, NULL), (52, '2022-11-09 00:00:00', 0, 24480, 0, NULL), (53, '2022-11-10 00:00:00', 0, 24480, 0, NULL), (54, '2022-11-11 00:00:00', 0, 24480, 0, NULL), (55, '2022-11-12 00:00:00', 0, 30087, 0, NULL), (56, '2022-11-13 00:00:00', 0, 37440, 0, NULL), (57, '2022-11-14 00:00:00', 0, 37440, 0, NULL), (58, '2022-11-15 00:00:00', 0, 36956, 0, NULL), (59, '2022-11-16 00:00:00', 0, 38501, 0, NULL), (60, '2022-11-17 00:00:00', 0, 38880, 0, NULL), (61, '2022-11-18 00:00:00', 0, 38822, 58, NULL), (62, '2022-11-19 00:00:00', 0, 38880, 0, NULL), (63, '2022-11-20 00:00:00', 0, 38880, 0, NULL), (64, '2022-11-21 00:00:00', 0, 38880, 0, NULL), (65, '2022-11-22 00:00:00', 0, 38880, 0, NULL), (66, '2022-11-23 00:00:00', 0, 38880, 0, NULL), (67, '2022-11-24 00:00:00', 0, 38880, 0, NULL), (68, '2022-11-25 00:00:00', 0, 38880, 0, NULL), (69, '2022-11-26 00:00:00', 0, 38880, 0, NULL), (70, '2022-11-27 00:00:00', 0, 38880, 0, NULL), (71, '2022-11-28 00:00:00', 0, 32191, 0, NULL);
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_logglue
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_logglue`;
CREATE TABLE `xxl_job_logglue`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `job_id` int NOT NULL COMMENT '任务，主键ID',
  `glue_type` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT 'GLUE类型',
  `glue_source` mediumtext CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL COMMENT 'GLUE源代码',
  `glue_remark` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT 'GLUE备注',
  `add_time` datetime NULL DEFAULT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of xxl_job_logglue
-- ----------------------------
BEGIN;
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_registry
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_registry`;
CREATE TABLE `xxl_job_registry`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `registry_group` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `registry_key` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `registry_value` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL,
  `update_time` datetime NULL DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE,
  INDEX `i_g_k_v`(`registry_group` ASC, `registry_key` ASC, `registry_value` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 14 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of xxl_job_registry
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_registry` (`id`, `registry_group`, `registry_key`, `registry_value`, `update_time`) VALUES (13, 'EXECUTOR', 'dbapi-job-executor', 'http://10.227.8.243:8888/', '2022-11-28 19:51:51');
COMMIT;

-- ----------------------------
-- Table structure for xxl_job_user
-- ----------------------------
DROP TABLE IF EXISTS `xxl_job_user`;
CREATE TABLE `xxl_job_user`  (
  `id` int NOT NULL AUTO_INCREMENT,
  `username` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '账号',
  `password` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NOT NULL COMMENT '密码',
  `role` tinyint NOT NULL COMMENT '角色：0-普通用户、1-管理员',
  `permission` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_0900_ai_ci NULL DEFAULT NULL COMMENT '权限：执行器ID列表，多个逗号分割',
  PRIMARY KEY (`id`) USING BTREE,
  UNIQUE INDEX `i_username`(`username` ASC) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 2 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_0900_ai_ci;

-- ----------------------------
-- Records of xxl_job_user
-- ----------------------------
BEGIN;
INSERT INTO `xxl_job_user` (`id`, `username`, `password`, `role`, `permission`) VALUES (1, 'admin', 'e10adc3949ba59abbe56e057f20f883e', 1, NULL);
COMMIT;

SET FOREIGN_KEY_CHECKS = 1;
